/* Default Styles */
.mobile-menu {
    display: none;
    flex-direction: column;
    background-color: #00B295;
    position: fixed;
    margin-right: 3.5rem;
    margin-top: -2rem;
    right: 0;
    width: 20%;
    border: 0.1rem solid black;
    animation: fadeIn 0.3s ease-in-out;
    padding: 1rem;
    font-size: 2rem;
    text-align: center;
    z-index: 9999;
}

@keyframes fadeIn {
    from { opacity: 0; }
    to { opacity: 1; }
}

.mobile-menu a {
    text-decoration: none;
    color: white;
    font-size: 1rem;
}

/* Tablets (1024px and below) */
@media (max-width: 1024px) {
    .navbar {
        gap: 10%;
    }

    .banner {
        flex-direction: row;
        gap: 0.8rem;
    }

    .buttons {
        justify-content: center;
    }
}

/* Mobile & Tablets (768px and below) */
@media (max-width: 768px) {
    .navbar {
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 10%;
    }

    .name {
        font-size: 1rem;
        margin-left: 2rem;
    }

    .divider,
    hr {
        width: 80%;
    }

    .hamburger {
        display: block;
        margin-right: 2rem;
    }

    .navlinks {
        display: none;
    }

    .banner {
        display: row;
        gap: 1rem;
        justify-content: center;
        align-items: center;
    }

    .banner-intro {
        text-align: center;
        justify-content: center;
        align-items: center;
    }

    .banner-img {
        height: 50%;
        width: 55%;
    }

    #pic1 {
        height: 90%;
        width: 90%;
    }

    .t1 {
        font-size: 0.8rem;
    }

    .t2 {
        font-size: 1.4rem;
    }

    .t3 {
        font-size: 0.6rem;
    }

    .buttons {
        justify-content: center;
    }

    #download {
        font-size: 0.8rem;
        padding: 1rem;
        width: 6rem;
    }

    .container {
        flex-direction: column;
        height: auto;
        gap: 2rem;
    }

    .container-card {
        margin-top: 4rem;
        height: auto;
        padding: 2rem;
        width: 90%;
        gap: 1rem;
        margin-bottom: 5rem;
    }

    .heading {
        font-size: 1.2rem;
    }

    .description {
        width: 95%;
        font-size: 1rem;
        line-height: 1.6;
    }

    .info,
    .quote {
        width: 75%;
    }

    .quoted {
        text-align: center;
        font-size: 1.2rem;
    }

    .quoter {
        font-size: 1rem;
        font-weight: bold;
    }

    footer {
        flex-direction: column;
        height: max-content;
    }

    .footer-description {
        margin-left: 2rem;
        flex-direction: column;
        gap: 0rem;
        font-size: 0.9rem;
    }

    .social {
        font-size: 1.2rem;
        gap: 1rem;
        justify-content: center;
    }

    .copyright{
        text-align: end;
    }
}

/* Samsung Galaxy A14 5G (412px width) */
@media (max-width: 412px) {

    .navbar{
        gap: 10%;
    }

    .banner {
        flex-direction: row;
        gap: 0.8rem;
        align-items: center;
        text-align: center;
    }

    .mobile-menu {
        width: 40%;
    }

    .footer-description {
        font-size: 0.8rem;
        text-align: center;
    }

    .social {
        font-size: 1.2rem;
        gap: 0.8rem;
    }
}
